OpenTTD Source: Data Fields

OpenTTD Source 15.3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - g -

- g : Blitter_32bppSimple::Pixel, SpriteLoader::CommonPixel
- game : ScriptConfigSettings
- game_connecter : ClientNetworkCoordinatorSocketHandler
- game_creation : GameSettings
- game_paused_by_player : HighScoreWindow
- gamelog : LoadCheckData
- GameLoop() : AI, ClientNetworkGameSocketHandler, Game, ScriptInstance
- GameLoopPause() : VideoDriver
- gamescript_name : NetworkServerGameInfo
- gamescript_version : NetworkServerGameInfo
- gaps : NWidgetPIPContainer
- gc : GRFPresence
- gcache : GroundVehicle< T, Type >
- gdi_palette : VideoDriver_Win32GDI
- gender_map : LanguageMap
- genders : LanguagePackHeader
- general : NewsSettings
- generate_amount : ObjectSpec
- GenerateFileName() : SaveLoadWindow
- GenerateLists() : ReplaceVehicleWindow
- GenerateReplaceRailList() : ReplaceVehicleWindow
- GenerateReplaceVehList() : ReplaceVehicleWindow
- generation_seed : AfterNewGRFScan, GameCreationSettings
- GenericResolverObject() : GenericResolverObject
- GenericScopeResolver() : GenericScopeResolver
- Get() : AirportSpec, AirportTileSpec, CargoSpec, FontCache, GroupStatistics, HouseSpec, LRUCache< Tkey, Tdata, Thash, Tequality >, NewGRFClass< Tspec, Tindex, Tmax >, ObjectSpec, OpenGLBackend, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >, SmallSet< Tdir, items >, SpecializedStation< T, Tis_waypoint >, SpecializedVehicle< T, Type >
- get_def_cb : IntSettingDesc
- get_tile_desc_proc : TileTypeProcs
- get_tile_track_status_proc : TileTypeProcs
- GetAcceleration() : GroundVehicle< T, Type >
- GetAccelerationStatus() : RoadVehicle, Train
- GetAccelerationType() : RoadVehicle, Train
- GetAccepted() : Industry
- GetActionDropdownSize() : BaseVehicleListWindow
- GetActiveBlitter() : BlitterFactory
- GetActiveDriver() : DriverFactoryBase
- GetAddress() : NetworkAddress
- GetAddressAsString() : NetworkAddress
- GetAddressLength() : NetworkAddress
- GetAdminStatus() : NetworkAdminSocketHandler
- GetAdvanceDistance() : Vehicle
- GetAdvanceSpeed() : Vehicle
- GetAircraftTypeText() : Engine
- GetAirDrag() : RoadVehicle, Train
- GetAirDragArea() : RoadVehicle, Train
- GetAllGroup() : GroupStatistics
- GetAllocatedMemory() : Squirrel
- GetAnimBuffer() : OpenGLBackend, VideoDriver, VideoDriver_CocoaOpenGL, VideoDriver_SDL_OpenGL
- GetAnnotation() : CapacityAnnotation, DistanceAnnotation
- GetAPIName() : Squirrel
- GetAPIVersion() : AIInfo, GameInfo
- GetArraySize() : CargoSpec
- GetAscender() : FontCache
- GetAuthenticationMethod() : CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, NetworkAuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyClientHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEClientHandler, X25519PAKEServerHandler
- GetAuthor() : ScriptInfo
- GetAvailablePageContentWidth() : StoryBookWindow
- GetAvailableSets() : BaseMedia< Tbase_set >
- GetAverageDurationMilliseconds() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- GetBadges() : NIHAirport, NIHAirportTile, NIHelper, NIHHouse, NIHIndustry, NIHIndustryTile, NIHObject, NIHRailType, NIHRoadStop, NIHRoadType< TRoadTramType >, NIHStation, NIHTown, NIHVehicle
- GetBestNode() : CYapfBaseT< Types >
- GetBestOpenNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- GetBits() : FaceVar
- GetBlitterFactory() : BlitterFactory
- GetBlitters() : BlitterFactory
- GetBlittersInfo() : BlitterFactory
- GetBoundingRect() : QueryString
- GetBounds() : Layouter, VehicleSpriteSeq
- GetBreakIterator() : ICUParagraphLayoutFactory
- GetBridgeSelectString() : BuildBridgeWindow
- GetBuffer() : ReusableBuffer< T >
- GetBuildCost() : ObjectSpec, RoadStopSpec
- GetButton() : ButtonLine
- GetButtonArrangement() : NWidgetMainToolbarContainer, NWidgetScenarioToolbarContainer, NWidgetToolbarContainer
- GetByClientID() : NetworkClientInfo, ServerNetworkGameSocketHandler
- GetByGrf() : NewGRFClass< Tspec, Tindex, Tmax >
- GetBytesLeft() : StringConsumer
- GetBytesRead() : StringConsumer
- GetBytesUnused() : InPlaceBuilder
- GetBytesWritten() : InPlaceBuilder, StringBuilder
- GetByTile() : AirportTileSpec, BaseStation, Industry, Object, ObjectSpec, RoadStop, SpecializedStation< T, Tis_waypoint >
- GetCachedParagraphLayout() : Layouter
- GetCallbackWnd() : TileHighlightData
- GetCapacity() : Path, Scrollbar
- GetCapacityRatio() : Path
- GetCapacityString() : RefitWindow
- GetCaption() : VideoDriver
- GetCaretPosition() : IConsoleWindow, QueryString, Window
- GetCargo() : CargoDataEntry
- GetCargoAccepted() : Industry
- GetCargoBase() : CargoesField
- GetCargoIcon() : CargoSpec
- GetCargoMask() : LinkGraphOverlay
- GetCargoPacketDesc : CargoPacket
- GetCargoProduced() : Industry
- GetCargoTransportedPercentsIfValid() : IndustryDirectoryWindow
- GetCargoTransportedSortValue() : IndustryDirectoryWindow
- GetCaseIndex() : LanguagePackHeader
- GetCatchmentRadius() : Station
- GetCatchmentRect() : Station
- GetCategory() : AILibrary, GameLibrary
- GetCenterTile() : OrthogonalTileArea, WaypointWindow
- GetCharAtPosition() : Layouter, QueryString
- GetCharPosition() : Layouter
- GetClassCount() : HousePickerCallbacks, NewGRFClass< Tspec, Tindex, Tmax >, PickerCallbacks, PickerCallbacksNewGRFClass< T >
- GetClassName() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- GetClassTooltip() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- GetClearCost() : ObjectSpec, RoadStopSpec
- GetClientIP() : ServerNetworkGameSocketHandler
- GetClientName() : ServerNetworkGameSocketHandler
- GetColour() : ScriptConfigItem, StoryPageButtonData
- GetCompanyMask() : LinkGraphOverlay
- GetCompanyRecolourOffset() : Company
- GetCompatDescription() : DefaultSaveLoadHandler< TImpl, TObject >, SaveLoadHandler, SlSkipHandler
- GetConditionComparator() : Order
- GetConditionSkipToOrder() : Order
- GetConditionValue() : Order
- GetConditionVariable() : Order
- GetConfig() : AIConfig, GameConfig
- GetConfigItem() : ScriptInfo
- GetConfigList() : ScriptConfig, ScriptInfo
- GetConsoleLibraryList() : AI, Game
- GetConsoleList() : AI, Game, ScriptScanner
- GetConstructionCost() : IndustrySpec
- GetContainerVersion() : SpriteFile
- GetContent() : ClientNetworkContentSocketHandler
- GetContentHeight() : StoryBookWindow
- GetController() : ScriptInstance
- GetCost() : CommandCost, Engine
- GetCount() : CargoArray, CargoDataEntry, Scrollbar
- GetCurrentBlitter() : BlitterFactory
- GetCurrentElement() : NWidgetMatrix
- GetCurrentMaxSpeed() : Aircraft, RoadVehicle, Ship, Train, Vehicle
- GetCurrentSong() : MusicSystem
- GetCurrentSpeed() : RoadVehicle, Train
- GetCurrentStructName() : DumpTarget
- GetCursor() : StoryPageButtonData
- GetCurveSpeedLimit() : Train
- GetCurveSpeedModifier() : Train
- GetData() : GoodsEntry
- GetDataLeft() : StringParameters
- GetDataSetRange() : BaseGraphWindow
- GetDate() : ScriptInfo
- GetDebugID() : AirportResolverObject, AirportTileResolverObject, BadgeResolverObject, CanalResolverObject, CargoResolverObject, GenericResolverObject, HouseResolverObject, IndustriesResolverObject, IndustryTileResolverObject, ObjectResolverObject, RailTypeResolverObject, ResolverObject, RoadTypeResolverObject, StationResolverObject, VehicleResolverObject
- GetDecodedString() : EncodedString
- GetDefaultCargoType() : Engine
- GetDefaultHeight() : WindowDesc
- GetDefaultValue() : IntSettingDesc
- GetDefaultWidth() : WindowDesc
- GetDepotActionType() : Order
- GetDepotOrderType() : Order
- GetDescender() : FontCache
- GetDescription() : BaseSet< T >, BlitterFactory, DefaultSaveLoadHandler< TImpl, TObject >, DriverFactoryBase, GRFConfig, SaveLoadHandler, ScriptInfo, SlCompanyOldAIBuildRec, SlLinkgraphJobProxy, SlSkipHandler
- GetDesiredInfoHeight() : TownViewWindow
- GetDestination() : Order
- GetDestinationIndex() : DepotWindow
- GetDirectory() : AIScannerInfo, AIScannerLibrary, GameScannerInfo, GameScannerLibrary, ScriptScanner
- GetDisplay() : NewsTypeData
- GetDisplayDefaultCapacity() : Engine
- GetDisplayImageWidth() : RoadVehicle, Train
- GetDisplayMaxSpeed() : Aircraft, Engine, RoadVehicle, Ship, Train, Vehicle
- GetDisplayMaxTractiveEffort() : Engine
- GetDisplayMaxWeight() : Vehicle
- GetDisplayMinPowerToWeight() : Vehicle
- GetDisplayProfitLastYear() : Vehicle
- GetDisplayProfitThisYear() : Vehicle
- GetDisplayRunningCost() : Vehicle
- GetDisplaySpeed() : Aircraft, RoadVehicle, Ship, Train, Vehicle
- GetDisplayVariant() : Engine
- GetDisplayWeight() : Engine
- GetDistance() : CargoPacket, Path
- GetDoCommandCallback() : AIInstance, GameInstance, ScriptInstance
- GetDrawGlyphShadow() : FontCache, MockFontCache, SpriteFontCache, TrueTypeFontCache
- GetDrivers() : DriverFactoryBase
- GetDriversInfo() : DriverFactoryBase
- GetDriverTypeName() : DriverFactoryBase
- GetDropDownItem() : DropdownWindow
- GetDropDownList() : NWidgetBadgeFilter
- GetDummyParameterInfo() : NewGRFParametersWindow
- GetDuplicateSets() : BaseMedia< Tbase_set >
- GetEdgeTraversabilityBits() : WaterRegion
- GetEnabledActions() : TownAuthorityWindow
- GetEncodedMessage() : CommandCost
- GetEncodedStringWithArgs : EncodedString
- GetEngine() : ScriptScanner, Vehicle
- GetEntry() : RoadStop
- GetEntryString() : StationViewWindow
- GetErrorMessage() : CommandCost, Script_FatalError
- GetErrorOwner() : CommandCost
- GetExpensesType() : CommandCost
- GetExpenseType() : Aircraft, RoadVehicle, Ship, Train, Vehicle
- GetExtension() : BaseMedia< Tbase_set >
- GetExtraErrorMessage() : CommandCost
- GetFeature() : AirportResolverObject, AirportTileResolverObject, BadgeResolverObject, CanalResolverObject, CargoResolverObject, GenericResolverObject, HouseResolverObject, IndustriesResolverObject, IndustryTileResolverObject, ObjectResolverObject, RailTypeResolverObject, ResolverObject, RoadTypeResolverObject, StationResolverObject, VehicleResolverObject
- GetFeatureIndex() : NewGRFInspectWindow
- GetFeederShare() : CargoPacket, VehicleCargoList
- GetFileName() : AIScannerInfo, AIScannerLibrary, GameScannerInfo, GameScannerLibrary
- GetFilename() : RandomAccessFile
- GetFileName() : ScriptScanner
- GetFilenames() : BaseSet< T >
- GetFiltering() : GUIList< T, P, F >
- GetFirstEnginePart() : SpecializedVehicle< T, Type >, Vehicle
- GetFirstOrder() : OrderList, Vehicle
- GetFirstSharedVehicle() : OrderList
- GetFirstSpriteGroupOf() : FixedGRFFileProps< Tkey, Tcount >, VariableGRFFileProps< Tkey >
- GetFirstStation() : CargoPacket, StationCargoList, VehicleCargoList
- GetFlow() : FlowStatMap, Path
- GetFlowFrom() : FlowStatMap
- GetFlowFromVia() : FlowStatMap
- GetFlowVia() : FlowStatMap
- GetFocusedTextbuf() : IConsoleWindow, Window
- GetFoldingState() : SettingsContainer, SettingsPage
- GetFont() : Layouter
- GetFontName() : CoreTextFontCache, FontCache, FreeTypeFontCache, MockFontCache, SpriteFontCache, Win32FontCache
- GetFontSize() : FontCache, TrueTypeFontCache
- GetFormat() : Source
- GetFreeCapacity() : Path
- GetFTA() : Airport
- GetFullscreenBpp() : VideoDriver_Win32Base
- GetFunction() : LibraryLoader
- GetGenderIndex() : LanguagePackHeader
- GetGlobalPointer() : Squirrel
- GetGlyph() : FontCache, MockFontCache, SpriteFontCache, TrueTypeFontCache
- GetGlyphWidth() : FontCache, MockFontCache, SpriteFontCache, TrueTypeFontCache
- GetGRF() : Engine, Vehicle
- GetGRFID() : Engine, NIHAirport, NIHAirportTile, NIHelper, NIHHouse, NIHIndustry, NIHIndustryTile, NIHObject, NIHRailType, NIHRoadStop, NIHRoadType< TRoadTramType >, NIHStation, NIHTown, NIHVehicle, OverrideManagerBase, Vehicle
- GetGroundVehicleCache() : Vehicle
- GetGroundVehicleFlags() : Vehicle
- GetGroup() : IniLoadFile
- GetGroupNameString() : VehicleGroupWindow
- GetGroupProfitSpriteID() : VehicleGroupWindow
- GetHangarDataByTile() : Airport
- GetHangarExitDirection() : Airport
- GetHangarNum() : Airport
- GetHangarTile() : Airport
- GetHeadHeight() : StoryBookWindow
- GetHeight() : FontCache
- GetHelp() : IntSettingDesc
- GetHighlightColour() : NWidgetCore
- GetHorizontalStepSize() : NWidgetBase
- GetHostname() : NetworkAddress
- GetHouseInformation() : BuildHouseWindow
- GetHouseYear() : BuildHouseWindow
- GetHyperlink() : TextfileWindow
- GetID() : EngineOverrideManager, IndustryOverrideManager, OverrideManagerBase
- GetIfValid() : LRUCache< Tkey, Tdata, Thash, Tequality >, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >, SpecializedStation< T, Tis_waypoint >, SpecializedVehicle< T, Type >
- GetImage() : Aircraft, RoadVehicle, Ship, Train, Vehicle
- GetIndex() : AirportSpec
- GetIndexOfUsedSet() : BaseMedia< Tbase_set >
- GetIndustryListWidth() : IndustryDirectoryWindow
- GetIndustryString() : IndustryDirectoryWindow
- GetIndustryTypeCount() : Industry
- GetIndustryTypeData() : IndustryTypeBuildData
- GetInfo() : Game, NetworkGameSocketHandler, ScriptConfig
- GetInfoList() : AI, Game, ScriptScanner
- GetInstance() : Game, MusicDriver, NIHAirport, NIHAirportTile, NIHelper, NIHHouse, NIHIndustry, NIHIndustryTile, NIHObject, NIHRailType, NIHRoadStop, NIHRoadType< TRoadTramType >, NIHStation, NIHTown, NIHVehicle, SoundDriver, Squirrel, VideoDriver
- GetInstanceName() : ScriptInfo
- GetItem() : IniGroup
- GetIterAtByte() : Utf8View
- GetLabel() : WaterRegion
- GetLanguageMap() : LanguageMap
- GetLast() : NetworkError
- GetLastEnginePart() : SpecializedVehicle< T, Type >, Vehicle
- GetLastError() : LibraryLoader
- GetLastOrder() : OrderList, Vehicle
- GetLayout() : SpriteLayoutProcessor
- GetLeading() : CoreTextParagraphLayout::CoreTextLine, FallbackParagraphLayout::FallbackLine, ICUParagraphLayout::ICULine, UniscribeParagraphLayout::UniscribeLine
- GetLeftData() : StringConsumer
- GetLegendHeight() : SmallMapWindow
- GetLength() : RoadStop::Entry, SlStationSpecList< T >, VectorSaveLoadHandler< TImpl, TObject, TElementType, MAX_LENGTH >
- GetLifeLengthInDays() : Engine
- GetLinkGraphDesc : LinkGraph
- GetLinkGraphJobDesc : LinkGraph, LinkGraphJob
- GetLinkGraphScheduleDesc : LinkGraphSchedule
- GetListing() : ClientNetworkCoordinatorSocketHandler, GUIList< T, P, F >
- GetListOfMonitorRefreshRates() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- GetListWidth() : ExpensesList
- GetLoadDescription() : SaveLoadHandler
- GetLoadType() : Order
- GetLocalIndex() : WaterRegion
- GetLocation() : Order
- GetLogData() : ScriptInstance
- GetMainScript() : ScriptInfo, ScriptScanner
- GetMandatoryItem() : BaseSet< T >
- GetMapping() : LanguageMap
- GetMaxHelpHeight() : SettingEntry, SettingsContainer
- GetMaxLoan() : Company
- GetMaxSpeed() : Order
- GetMaxTrackSpeed() : RoadVehicle, Train
- GetMaxWeight() : RoadVehicle, Train, Vehicle
- GetMinLegendWidth() : SmallMapWindow
- GetName() : Blitter, Blitter_32bppAnim, Blitter_32bppOptimized, Blitter_32bppSimple, Blitter_40bppAnim, Blitter_8bppOptimized, Blitter_8bppSimple, Blitter_Null, BlitterFactory, CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, Driver, FontCache, GRFConfig, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32, NetworkAuthenticationHandler, NIHAirport, NIHAirportTile, NIHelper, NIHHouse, NIHIndustry, NIHIndustryTile, NIHObject, NIHRailType, NIHRoadStop, NIHRoadType< TRoadTramType >, NIHStation, NIHTown, NIHVehicle, ScriptConfig, ScriptInfo, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler, SettingDesc, SoundDriver_Allegro, SoundDriver_Cocoa, SoundDriver_Null, SoundDriver_SDL, SoundDriver_Win32, SoundDriver_XAudio2, VideoDriver_Allegro, VideoDriver_CocoaOpenGL, VideoDriver_CocoaQuartz, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Default, VideoDriver_SDL_OpenGL, VideoDriver_Win32GDI, X25519AuthorizedKeyClientHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyClientHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEClientHandler, X25519PAKEServerHandler
- GetNewGRFVariable() : BaseStation, Waypoint
- GetNewsReference() : Source
- GetNext() : OrderList
- GetNextArticulatedPart() : SpecializedVehicle< T, Type >, Vehicle
- GetNextDecisionNode() : OrderList
- GetNextHop() : CargoPacket
- GetNextParameter() : StringParameters
- GetNextParameterReference() : StringParameters
- GetNextParameterString() : StringParameters
- GetNextRoadStop() : RoadStop
- GetNextStoppingStation() : OrderList, Vehicle
- GetNextUnit() : Train
- GetNextVehicle() : SpecializedVehicle< T, Type >, Vehicle
- GetNode() : Path
- GetNonStopType() : Order
- GetNthSetBit() : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >
- GetNumberColumnsLegend() : SmallMapWindow
- GetNumberRowsLegend() : SmallMapWindow
- GetNumCargo() : SlStationGoods, SlTownOldSupplied
- GetNumChildren() : CargoDataEntry, Path
- GetNumEngines() : GroupStatistics
- GetNumEnts() : GrfProcessingState
- GetNumHangars() : Airport
- GetNumInvalid() : BaseSet< T >
- GetNumItems() : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >
- GetNumLiveries() : SlCompanyLiveries
- GetNumManualOrders() : OrderList, Vehicle
- GetNumMissing() : BaseSet< T >
- GetNumOrders() : OrderList, Vehicle
- GetNumParameters() : StringParameters
- GetNumSets() : BaseMedia< Tbase_set >
- GetNumVehicles() : OrderList
- GetOccupied() : RoadStop::Entry
- GetOffset() : StringParameters
- GetOldAdvanceSpeed() : Vehicle
- GetOpsTillSuspend() : ScriptInstance, Squirrel
- GetOpt() : GetOptData
- GetOptData() : GetOptData
- GetOrCreateData() : GoodsEntry
- GetOrCreateExtraConfig() : GraphicsSet
- GetOrCreateGroup() : IniLoadFile
- GetOrCreateHistory() : Industry::AcceptedCargo
- GetOrCreateItem() : IniGroup
- GetOrder() : Vehicle
- GetOrderAt() : OrderList
- GetOrderBackupDescription : OrderBackup
- GetOrderDescription : Order
- GetOrderFromPt() : OrdersWindow
- GetOrderListDescription : OrderList
- GetOrderStationLocation() : Aircraft, RoadVehicle, Ship, Train, Vehicle
- GetOrigData() : StringConsumer
- GetOrigin() : Path
- GetOriginalValue() : Backup< T >
- GetOSHandle() : CoreTextFontCache, FontCache, FreeTypeFontCache, Win32FontCache
- GetOutputFilename() : NewGRFProfiler
- GetOverlayCompanyMask() : SmallMapWindow
- GetOverriddenIdentifier() : Gamelog
- GetPacketType() : Packet
- GetPageElementFloat() : StoryBookWindow
- GetPageElementFloatWidth() : StoryBookWindow
- GetPageElementHeight() : StoryBookWindow
- GetPageElementSprite() : StoryBookWindow
- GetPalette() : NewGRFWindow
- GetParagraphLayout() : CoreTextParagraphLayoutFactory, FallbackParagraphLayoutFactory, UniscribeParagraphLayoutFactory
- GetParam() : GRFFile
- GetParameterInfo() : NewGRFParametersWindow
- GetParent() : CargoDataEntry, NIHAirport, NIHAirportTile, NIHelper, NIHHouse, NIHIndustry, NIHIndustryTile, NIHObject, NIHRailType, NIHRoadStop, NIHRoadType< TRoadTramType >, NIHStation, NIHTown, NIHVehicle, Path
- GetParentWidget() : NWidgetBase
- GetPassword() : NetworkAuthenticationDefaultPasswordProvider, NetworkAuthenticationPasswordProvider
- GetPeerAddress() : NetworkAddress
- GetPeerName() : NetworkAddress
- GetPeerPublicKey() : CombinedAuthenticationServerHandler, NetworkAuthenticationServerHandler, X25519AuthenticationHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEServerHandler
- GetPeriodsInTransit() : CargoPacket
- GetPickerItem() : HousePickerCallbacks, PickerCallbacks, PickerCallbacksNewGRFClass< T >
- GetPlatformLength() : BaseStation, Station, Waypoint
- GetPlugins() : SocialIntegration
- GetPools() : PoolBase
- GetPoolSize() : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >
- GetPort() : NetworkAddress
- GetPos() : RandomAccessFile
- GetPosition() : Scrollbar
- GetPositionOnLegend() : SmallMapWindow
- GetPower() : Engine, RoadVehicle, Train
- GetPoweredPartPower() : RoadVehicle, Train
- GetPrevUnit() : Train
- GetPrevVehicle() : SpecializedVehicle< T, Type >, Vehicle
- GetProduced() : Industry
- GetProviders() : ProviderManager< TProviderType >
- GetPSA() : NIHAirport, NIHelper, NIHIndustry, NIHTown
- GetQueryString() : Window
- GetRailTotal() : CompanyInfrastructure
- GetRailtypeSpriteOffset() : RailTypeInfo
- GetRandom() : Industry, Town
- GetRandomBits() : AirportScopeResolver, AirportTileScopeResolver, CanalScopeResolver, HouseScopeResolver, IndustriesScopeResolver, IndustryTileScopeResolver, ObjectScopeResolver, RailTypeScopeResolver, RoadStopScopeResolver, RoadTypeScopeResolver, ScopeResolver, StationScopeResolver, VehicleScopeResolver
- GetRandomFollowUpTileTrackdir() : CYapfFollowShipT< Types >
- GetRandomTrackdir() : CYapfFollowShipT< Types >
- GetRandomTriggers() : HouseScopeResolver, IndustriesScopeResolver, IndustryTileScopeResolver, RoadStopScopeResolver, ScopeResolver, StationScopeResolver, VehicleScopeResolver
- GetRange() : Aircraft, Engine, IntSettingDesc
- GetRate() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- GetReadData() : StringConsumer
- GetRealInstance() : Squirrel
- GetRefitCargo() : Order
- GetRegister() : ResolverObject
- GetRemainingParameters() : StringParameters
- GetRemovalCost() : HouseSpec, IndustrySpec
- GetReseedSum() : ResolverObject
- GetReverseMapping() : LanguageMap
- GetRoadStationTypeByWindowClass() : BuildRoadStationWindow
- GetRoadTramTotal() : CompanyInfrastructure
- GetRoadVehDetailsHeight() : VehicleDetailsWindow
- GetRollingFriction() : RoadVehicle, Train
- GetRotatedTileFromOffset() : Airport
- GetRowFromWidget() : Window
- GetRunningCost() : Aircraft, Engine, RoadVehicle, Ship, Train, Vehicle
- GetScanner() : ScriptInfo
- GetScannerInfo() : AI, Game
- GetScannerLibrary() : AI, Game
- GetScannerName() : AIScannerInfo, AIScannerLibrary, GameScannerInfo, GameScannerLibrary, ScriptScanner
- GetScope() : AirportResolverObject, AirportTileResolverObject, BadgeResolverObject, CanalResolverObject, GenericResolverObject, HouseResolverObject, IndustriesResolverObject, IndustryTileResolverObject, ObjectResolverObject, RailTypeResolverObject, ResolverObject, RoadStopResolverObject, RoadTypeResolverObject, StationResolverObject, TownResolverObject, VehicleResolverObject
- GetScreenDepth() : Blitter, Blitter_32bppBase, Blitter_8bppBase, Blitter_Null
- GetScreenSize() : VideoDriver, VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- GetScriptName() : AIScannerInfo, AIScannerLibrary, GameScannerInfo, GameScannerLibrary, ScriptScanner
- GetScrollbar() : Window
- GetScrollbarIndex() : NWidgetCore
- GetScrolledItemFromWidget() : Scrollbar
- GetScrolledRowFromWidget() : Scrollbar
- GetScrollOffsets() : NWidgetMatrix
- GetSelectedClass() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- GetSelectedType() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- GetSelPage() : StoryBookWindow
- GetSelPageNum() : StoryBookWindow
- GetSet() : BaseMedia< Tbase_set >
- GetSetIndex() : MusicSystem
- GetSetsList() : BaseMedia< Tbase_set >
- GetSetting() : AIInstance, GameInstance, ScriptConfig, ScriptInstance
- GetSettingDefaultValue() : ScriptInfo
- GetSettings() : ScriptInfo
- GetShare() : FlowStat
- GetShares() : FlowStat
- GetShortName() : ScriptInfo
- GetSimplifiedFilename() : RandomAccessFile
- GetSingleTramBit() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- GetSize() : FontCache, MemoryDumper, OpenGLSprite, ReadBuffer
- GetSlopeResistance() : GroundVehicle< T, Type >
- GetSlopeSteepness() : RoadVehicle, Train
- GetSlotColour() : AIConfigWindow
- GetSlotText() : AIConfigWindow
- GetSMFFile() : MidiFile
- GetSockAddress() : NetworkAddress
- GetSource() : CargoPacket
- GetSpec() : Airport, NewGRFClass< Tspec, Tindex, Tmax >, NIHAirport, NIHAirportTile, NIHelper, NIHHouse, NIHIndustry, NIHIndustryTile, NIHObject, NIHRailType, NIHRoadStop, NIHRoadType< TRoadTramType >, NIHStation, NIHTown, NIHVehicle
- GetSpecCount() : NewGRFClass< Tspec, Tindex, Tmax >
- GetSpeedLimit() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- GetSprite() : FaceVar, GrfProcessingState
- GetSpriteAlignment() : OpenGLBackend, SpriteEncoder
- GetSpriteGroup() : FixedGRFFileProps< Tkey, Tcount >, StandardGRFFileProps, VariableGRFFileProps< Tkey >
- GetState() : StringFilter
- GetStation() : CargoDataEntry
- GetStationGfx() : AirportTileTableIterator
- GetStationMiddle() : LinkGraphOverlay, SmallMapWindow
- GetStations() : StationFinder
- GetStopLocation() : Order
- GetStorage() : ScriptInstance
- GetString() : NWidgetCore, ScriptConfigItem, StringBuilder
- GetSubstituteID() : OverrideManagerBase
- GetSum() : CargoArray
- GetSuspendCallback() : Script_Suspend
- GetSuspendTime() : Script_Suspend
- GetSymbol() : LibraryLoader
- GetTarFile() : ScriptInfo, ScriptScanner
- GetText() : GSConfigWindow, Textbuf
- GetTextBoundingRect() : IConsoleWindow, Window
- GetTextCharacterAtPosition() : IConsoleWindow, Window
- GetTextfile() : BaseSet< T >, ContentInfo, GRFConfig, ScriptConfig
- GetTick() : AI
- GetTileArea() : BaseStation, Station, Waypoint
- GetTileColours() : SmallMapWindow
- GetTimers() : TimerManager< TTimerType >
- GetTimetabledTravel() : Order
- GetTimetableDurationIncomplete() : OrderList
- GetTimetabledWait() : Order
- GetTimetableTotalDuration() : OrderList
- GetTitle() : IntSettingDesc
- GetTooltip() : ButtonLine, ClientButtonLine
- GetToolTip() : NWidgetCore
- GetTopLeft() : EndGameHighScoreBaseWindow
- GetTotalColumnsWidth() : GUIBadgeClasses
- GetTotalDuration() : OrderList
- GetTown() : AirportResolverObject, IndustriesResolverObject, ObjectResolverObject, StationResolverObject
- GetTownString() : TownDirectoryWindow
- GetTractiveEffort() : RoadVehicle, Train
- GetTransparencyOption() : EffectVehicle
- GetTravelTime() : Order
- GetType() : Order, SettingDesc
- GetTypeAtOffset() : StringParameters
- GetTypeBadges() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- GetTypeCount() : HousePickerCallbacks, Object, PickerCallbacks, PickerCallbacksNewGRFClass< T >
- GetTypeName() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- GetTypeTooltip() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- GetUIClassCount() : NewGRFClass< Tspec, Tindex, Tmax >
- GetUISpecCount() : NewGRFClass< Tspec, Tindex, Tmax >
- GetUniqueInfoList() : AI, Game, ScriptScanner
- GetUnloadType() : Order
- GetUnrestricted() : FlowStat
- GetURL() : GRFConfig, ScriptInfo
- GetUsedRandomTriggers() : SpecializedResolverObject< RandomTriggers >
- GetUsedSet() : BaseMedia< Tbase_set >
- GetValidSecretKeyAndUpdatePublicKey() : X25519AuthorizedKeyClientHandler
- GetValue() : GRFConfig, PersistentStorageArray< TYPE, SIZE >, TemporaryStorageArray< TYPE, SIZE >
- GetValueParams() : IntSettingDesc
- GetValuesInterval() : BaseGraphWindow
- GetVariable() : AirportScopeResolver, AirportTileScopeResolver, BadgeScopeResolver, CanalScopeResolver, GenericScopeResolver, HouseScopeResolver, IndustriesScopeResolver, IndustryTileScopeResolver, ObjectScopeResolver, RailTypeScopeResolver, RoadStopScopeResolver, RoadTypeScopeResolver, ScopeResolver, StationScopeResolver, TownScopeResolver, VehicleScopeResolver
- GetVector() : SlAllowListData, SlIndustryAccepted, SlIndustryProduced, SlOrders< T >, SlRoadStopTileData, SlStationSpecList< T >, SlTownSupplied, SlVehicleRoadVehPath, SlVehicleShipPath, VectorSaveLoadHandler< TImpl, TObject, TElementType, MAX_LENGTH >
- GetVehicle() : ReplaceChainItem
- GetVehicleTrackdir() : RoadVehicle, Ship, Train, Vehicle
- GetVehicleType() : StoryPageButtonData
- GetVersion() : ScriptConfig, ScriptInfo
- GetVerticalStepSize() : NWidgetBase
- GetVia() : FlowStat, GoodsEntry
- GetViaWithRestricted() : FlowStat
- GetVideoBuffer() : OpenGLBackend
- GetVideoPointer() : VideoDriver_Cocoa, VideoDriver_CocoaOpenGL, VideoDriver_CocoaQuartz, VideoDriver_SDL_Base, VideoDriver_SDL_Default, VideoDriver_SDL_OpenGL, VideoDriver_Win32Base, VideoDriver_Win32GDI
- GetVisibleRangeIterators() : Scrollbar
- GetVisualRun() : FallbackParagraphLayout::FallbackLine
- GetVM() : Squirrel
- GetWaitingRandomTriggers() : ResolverObject
- GetWaitTime() : Order
- GetWeight() : RoadVehicle, Train
- GetWidestPlugin() : NWidgetSocialPlugins
- GetWidget() : Window
- GetWidgetDpi() : LinkGraphOverlay
- GetWidgetFromPos() : NWidgetBackground, NWidgetBase, NWidgetContainer, NWidgetCore, NWidgetMatrix, NWidgetNewGRFDisplay, NWidgetSpacer, NWidgetStacked
- GetWidgetOfType() : NWidgetBackground, NWidgetBase, NWidgetContainer
- GetWidgetString() : AboutWindow, AIConfigWindow, BaseSetTextfileWindow, BuildAirportWindow, BuildIndustryWindow, BuildObjectWindow, BuildRailToolbarWindow, BuildRoadToolbarWindow, BuildSignalWindow, BuildVehicleWindow, BuyCompanyWindow, CompanyFinancesWindow, CompanyInfrastructureWindow, CompanyStationsWindow, CompanyWindow, ContentTextfileWindow, CreateScenarioWindow, CustomCurrencyWindow, DepotWindow, ErrmsgWindow, ExtraViewportWindow, FramerateWindow, FrametimeGraphWindow, GameManualTextfileWindow, GameOptionsWindow, GenerateLandscapeWindow, GoalListWindow, GoalQuestionWindow, IndustryCargoesWindow, IndustryDirectoryWindow, IndustryProductionGraphWindow, IndustryViewWindow, MusicTrackSelectionWindow, NetworkChatWindow, NetworkClientListWindow, NetworkStartServerWindow, NewGRFInspectWindow, NewGRFParametersWindow, NewGRFTextfileWindow, NewGRFWindow, NewsWindow, OrdersWindow, OskWindow, PickerWindow, QueryStringWindow, QueryWindow, RefitWindow, ReplaceVehicleWindow, ScenarioEditorToolbarWindow, ScriptDebugWindow, ScriptLeagueWindow, ScriptListWindow, ScriptSettingsWindow, ScriptTextfileWindow, SelectCompanyLiveryWindow, SetDateWindow, SignListWindow, SignWindow, SmallMapWindow, SpriteAlignerWindow, StationViewWindow, StoryBookWindow, TimetableWindow, TownAuthorityWindow, TownCargoGraphWindow, TownDirectoryWindow, TownViewWindow, VehicleDetailsWindow, VehicleGroupWindow, VehicleListWindow, VehicleViewWindow, WaypointWindow, Window
- GetWidth() : CoreTextParagraphLayout::CoreTextLine, FallbackParagraphLayout::FallbackLine, ICUParagraphLayout::ICULine, UniscribeParagraphLayout::UniscribeLine
- GetWithoutOverride() : AirportSpec
- GetWrittenData() : InPlaceBuilder, StringBuilder
- GetYLabelWidth() : BaseGraphWindow
- gfx : AirportTileTable
- give_money : EconomySettings
- gl_context : VideoDriver_SDL_OpenGL
- glitter_water : ExtraPaletteValues
- glitter_water_toyland : ExtraPaletteValues
- global_aa : FontCacheSettings
- global_id : NewGRFClass< Tspec, Tindex, Tmax >
- global_pointer : Squirrel
- glyph_size : Win32FontCache
- glyph_to_char : FallbackParagraphLayout::FallbackVisualRun, ICURun
- glyphs : FallbackParagraphLayout::FallbackVisualRun, ICURun
- Goal() : Goal
- goal : Town
- goods : Station
- GR_CARGO : StationViewWindow
- GR_DESTINATION : StationViewWindow
- GR_NEXT : StationViewWindow
- GR_SOURCE : StationViewWindow
- gradual_loading : OrderSettings
- Graph() : LinkGraphJob
- GRAPH_AXIS_LABEL_COLOUR : BaseGraphWindow
- graph_line_thickness : GUISettings
- GRAPH_NUM_MONTHS : BaseGraphWindow
- GRAPH_PAYMENT_RATE_STEPS : BaseGraphWindow
- graph_size : FrametimeGraphWindow
- GraphEdgeIterator() : GraphEdgeIterator
- grf : TileDesc
- grf_bugs : GRFConfig
- grf_cache : Vehicle
- grf_compatibility : LoadCheckData
- grf_config : NewGRFParametersWindow, NewGRFTextfileWindow, SurveyResultTextfileWindow
- grf_container_ver : SoundEntry
- grf_feature : PriceBaseSpec
- grf_features : GRFFile
- grf_presets : NewGRFWindow
- grf_prop : AirportSpec, AirportTileSpec, Badge, Engine, HouseSpec, IndustrySpec, IndustryTileSpec, ObjectSpec, RoadStopSpec, StationSpec
- GRFAdd() : Gamelog
- GRFAddList() : Gamelog
- GRFBug() : Gamelog
- GRFBugReverse() : Gamelog
- GRFCompatible() : Gamelog
- GRFConfig() : GRFConfig
- grfconfig : GrfProcessingState, LoadCheckData, NetworkServerGameInfo
- grffile : CargoSpec, GRFFilePropsBase, GrfProcessingState, NewGRFProfiler, RailTypeInfo, ResolverObject, RoadTypeInfo, WaterFeature
- grfid : BasePersistentStorageArray, EngineIDMapping, EntityIDMapping, GRFFilePropsBase, GRFIdentifier, GRFTownName, HouseClassMapping, LoggedChangeGRFBug, LoggedChangeGRFMoved, LoggedChangeGRFParameterChanged, LoggedChangeGRFRemoved, SpecMapping< T >, StringIDMapping, TownNameParams
- GRFMove() : Gamelog
- GRFParameterInfo() : GRFParameterInfo
- GRFParameters() : Gamelog
- GRFRemove() : Gamelog
- GRFUpdate() : Gamelog
- ground : DrawTileSprites, RailTypeInfo
- GroundVehicle() : GroundVehicle< T, Type >
- GroundVehicleBase : GroundVehicle< T, Type >
- group : OrderBackup, RailTypeInfo, RoadTypeInfo, WaterFeature
- group_all : Company
- group_confirm : VehicleGroupWindow
- group_default : Company
- group_id : Vehicle
- group_names : StationViewWindow
- group_over : VehicleGroupWindow
- group_rename : VehicleGroupWindow
- group_sel : VehicleGroupWindow
- grouping : BaseVehicleListWindow
- Grouping : StationViewWindow
- grouping_index : StationViewWindow
- groupings : StationViewWindow
- groups : IniLoadFile, RandomizedSpriteGroup, VehicleGroupWindow
- grow_counter : Town
- growth_rate : Town
- gs_config : GSConfigWindow
- gui : ClientSettings
- gui_sprites : RailTypeInfo, RoadTypeInfo
- GUIBadgeClasses() : GUIBadgeClasses
- GUIContentList : NetworkContentListWindow
- GUISignList : SignList
- gv_flags : GroundVehicle< T, Type >